Name:           event-compat-sysv
Version:        0.3.9
Release:        13%{?dist}
Summary:        Upstart events to emulate SysVInit

Group:          System Environment/Base
License:        MIT
URL:            http://upstart.ubuntu.com
Source0:        http://upstart.ubuntu.com/download/example-jobs/0.3/example-jobs-0.3.9.tar.gz
Patch0:         event-compat-sysv-rhmods.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       upstart >= %{version}

Obsoletes: SysVinit < 2.86-24, sysvinit < 2.86-24
Provides: SysVinit = 2.86-24, sysvinit = 2.86-24

%description
A series of upstart event handlers that supply a SysVInit compatible boot
sequence.

%prep
%setup -q -c
%patch0 -p1

%build
# At the moment its just a bunch of files

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/event.d

cp control-alt-delete %{buildroot}%{_sysconfdir}/event.d
cp rc0                %{buildroot}%{_sysconfdir}/event.d
cp rc1                %{buildroot}%{_sysconfdir}/event.d
cp rc2                %{buildroot}%{_sysconfdir}/event.d
cp rc3                %{buildroot}%{_sysconfdir}/event.d
cp rc4                %{buildroot}%{_sysconfdir}/event.d
cp rc5                %{buildroot}%{_sysconfdir}/event.d
cp rc6                %{buildroot}%{_sysconfdir}/event.d
cp rcS                %{buildroot}%{_sysconfdir}/event.d
cp rcS-sulogin        %{buildroot}%{_sysconfdir}/event.d
cp sulogin            %{buildroot}%{_sysconfdir}/event.d
cp tty1               %{buildroot}%{_sysconfdir}/event.d
cp tty2               %{buildroot}%{_sysconfdir}/event.d
cp tty3               %{buildroot}%{_sysconfdir}/event.d
cp tty4               %{buildroot}%{_sysconfdir}/event.d
cp tty5               %{buildroot}%{_sysconfdir}/event.d
cp tty6               %{buildroot}%{_sysconfdir}/event.d
cp prefdm             %{buildroot}%{_sysconfdir}/event.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/event.d/control-alt-delete
%config(noreplace) %{_sysconfdir}/event.d/rc0
%config(noreplace) %{_sysconfdir}/event.d/rc1
%config(noreplace) %{_sysconfdir}/event.d/rc2
%config(noreplace) %{_sysconfdir}/event.d/rc3
%config(noreplace) %{_sysconfdir}/event.d/rc4
%config(noreplace) %{_sysconfdir}/event.d/rc5
%config(noreplace) %{_sysconfdir}/event.d/rc6
%config(noreplace) %{_sysconfdir}/event.d/rcS
%config(noreplace) %{_sysconfdir}/event.d/rcS-sulogin
%config(noreplace) %{_sysconfdir}/event.d/sulogin
%config(noreplace) %{_sysconfdir}/event.d/tty1
%config(noreplace) %{_sysconfdir}/event.d/tty2
%config(noreplace) %{_sysconfdir}/event.d/tty3
%config(noreplace) %{_sysconfdir}/event.d/tty4
%config(noreplace) %{_sysconfdir}/event.d/tty5
%config(noreplace) %{_sysconfdir}/event.d/tty6
%config(noreplace) %{_sysconfdir}/event.d/prefdm
%doc COPYING

%changelog
* Fri Apr  4 2008 Bill Nottingham <notting@redhat.com> - 0.3.9-13
- Go back to using /etc/inittab for default runlevel (reverts #432384)
- Add respawn (and a limit) to prefdm (#440061)

* Mon Mar 18 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-11
- Remove reliance on /etc/inittab

* Sun Mar 17 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-10
- Add MIT license copying file according to Scott's wishes and changed license
- Change our mod patch name to event-compat-sysv-rhmods.patch
- Make ttys start after prefdm in runlevel 5
- Fix obsoletes/provides badness
- Merge rc-default into rcS

* Fri Mar  7 2008 Bill Nottingham <notting@redhat.com> - 0.3.9-9
- Much as /etc/inittab was, these need to be %%config(noreplace)

* Tue Feb 26 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-8
- Fix for bug #432870 (prefdm event now has -nodaemon)

* Fri Feb 22 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-7
- Fix for bug #434555

* Fri Feb 08 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-6
- Removed dependency on sysvinit-tools (auto-filedeps should handle this)
- Made single user mode go direct to shell

* Fri Feb 08 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-5
- Added dependancy on sysvinit-tools

* Mon Jan 21 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-4
- Made ttys start after runlevel execution
- Added COPYING

* Mon Jan 21 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-3
- Add obsoletes sysvinit
- Made build a noarch

* Mon Jan 21 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-2
- Add prefdm event

* Mon Jan 14 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-1
- Initial packaging
